import 'package:dio/dio.dart';
import 'package:easyflu/config/const.dart';
import 'package:easyflu/http/exception/http_error.dart';
import 'package:easyflu/http/http_data.dart';

class RequestInfo{

  bool useLoadMore = false;
  String url = "";
  String? method;
  Options? options;
  String? cacheKey;
  bool? isFormData = false;
  bool publicMethod = false;
  var data;
  String? contentType;
  CancelToken? cancelToken;
  Function? onStart;
  Function(HttpData httpData)? onSuccess;
  Function(HttpData httpData)? onError;
  Function? onFinish;
  ValidateResponse? validateResponse;
  String? successCode;
  String? codeKey;
  String? msgKey;
  String? dataKey;
  ProgressCallback? onReceiveProgress;
  ProgressCallback? onSendProgress;
  dynamic Function(dynamic map)? handleRes;
  HttpError Function(dynamic data)? validateError;
  bool checkDataEmpty = true;

  RequestInfo.values({
    this.url = '',
    this.method,
    this.options,
    this.cacheKey,
    this.isFormData,
    this.publicMethod = false,
    this.data,
    this.contentType,
    this.cancelToken,
    this.onStart,
    this.onError,
    this.onFinish,
    this.validateResponse,
    this.successCode,
    this.codeKey,
    this.msgKey,
    this.dataKey,
    this.onReceiveProgress,
    this.onSendProgress,
    this.handleRes,
    this.onSuccess,
    this.validateError,
    this.useLoadMore = false,
    this.checkDataEmpty = true
  });

  RequestInfo.defaultValue();

}